#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
%define		nfsshell	netfs nfs-client nfs-server
%define		_sbindir	/sbin
#-----------------------------------------------------------------------------
Name		:	nfs-utils
Version		:	2.6.1
Release		:	14.8.0.0%{?dist}
Summary		:	NFS utilities and supporting clients and daemons for the kernel NFS server
Group		:	System Environment/Daemon

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT and GPLv2 and GPLv2+ and BSD
Url		:	https://mirrors.edge.kernel.org/pub/linux/utils/nfs-utils/

Source0		:	%{name}-%{version}.tar.xz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	libtirpc
BuildRequires	:	rpcsvc-proto

Requires	:	lfs-bootscripts
Requires	:	chkconfig
Requires	:	libtirpc
Requires	:	psmisc
Requires	:	rpcbind
#-----------------------------------------------------------------------------
%description
The nfs-utils package provides a daemon for the kernel NFS server and
related tools, which provides a much higher level of performance than the
traditional Linux NFS server used by most users.

This package also contains the showmount program.  Showmount queries the
mount daemon on a remote host for information about the NFS (Network File
System) server on the remote host.  For example, showmount can display the
clients which are mounted on that host.

This package also contains the mount.nfs and umount.nfs program.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, 0755)
%doc COPYING README 
%attr (0754,root,root) %{_sysconfdir}/rc.d/init.d/netfs
%config (noreplace) %{_sysconfdir}/sysconfig/nfs-server
%{_var}/lib/nfs/*
%{_sbindir}/nfsconf
%{_sbindir}/nfsiostat
%{_sbindir}/nfsstat
#{_sbindir}/osd_login
%{_sbindir}/rpcdebug
%{_sbindir}/rpc.statd
%{_sbindir}/sm-notify
%{_sbindir}/start-statd
%{_mandir}/man5/*.5.gz
%{_mandir}/man7/*.7.gz
%{_mandir}/man8/nfsconf.8.gz
%{_mandir}/man8/nfsiostat.8.gz
%{_mandir}/man8/nfsstat.8.gz
%{_mandir}/man8/rpcdebug.8.gz
%{_mandir}/man8/rpc.sm-notify.8.gz
%{_mandir}/man8/rpc.statd.8.gz
%{_mandir}/man8/statd.8.gz
%{_mandir}/man8/sm-notify.8.gz

#-----------------------------------------------------------------------------
#after upgrade or remove
%preun
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/netfs stop > /dev/null 2>&1 || :
  /sbin/chkconfig --del netfs
  (
  /bin/echo -n "%{name}-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi

%post
/usr/sbin/ldconfig
/sbin/chkconfig --add netfs

%postun
/usr/sbin/ldconfig

#=============================================================================
%package		-n nfs-client

Summary         :       nfs client components

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description 		-n nfs-client
This package include the nfs clients part.

#-----------------------------------------------------------------------------
%files			-n nfs-client
%attr (0754,root,root) %{_sysconfdir}/rc.d/init.d/nfs-client
%{_sbindir}/mountstats
%{_sbindir}/umount.nfs*
%{_sbindir}/mount.nfs*
%{_sbindir}/showmount
%{_mandir}/man8/mountstats.8.gz
%{_mandir}/man8/mount.nfs.8.gz
%{_mandir}/man8/umount.nfs.8.gz
%{_mandir}/man8/showmount.8.gz

%preun			-n nfs-client
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/nfs-client stop > /dev/null 2>&1 || :
  /sbin/chkconfig --del nfs-client 
  (
  /bin/echo -n "nfs-client-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-nfs-client-removed
  fi

%post -n nfs-client
/usr/sbin/ldconfig
/sbin/chkconfig --add nfs-client

#=============================================================================
%package		-n nfs-server

Summary         :       nfs server components

#-----------------------------------------------------------------------------
Requires	:	%{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		-n nfs-server
This package include the nfs server part.

#-----------------------------------------------------------------------------
%files			-n nfs-server
%attr (0754,root,root) %{_sysconfdir}/rc.d/init.d/nfs-server
%{_sbindir}/exportfs
%{_sbindir}/rpc.nfsd
%{_sbindir}/rpc.mountd
%{_sbindir}/nfsdclnts
%{_mandir}/man8/exportfs.8.gz
%{_mandir}/man8/mountd.8.gz
%{_mandir}/man8/nfsd.8.gz
%{_mandir}/man8/rpc.mountd.8.gz
%{_mandir}/man8/rpc.nfsd.8.gz
%{_mandir}/man8/nfsdclnts.8.gz

#-----------------------------------------------------------------------------
%preun			-n nfs-server
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/nfs-server stop > /dev/null 2>&1 || :
  /sbin/chkconfig --del nfs-server 
  (
  /bin/echo -n "nfs-server-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-nfs-server-removed
  fi

%post			-n nfs-server
/usr/sbin/ldconfig
/sbin/chkconfig --add nfs-server

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
%build
tar xf %{SOURCE1}

./autogen.sh
./configure						\
	--build=%{_build}				\
	--prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--sharedstatedir=%{_var}/lib			\
	--localstatedir=%{_var}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--without-tcp-wrappers				\
	--disable-nfsv4 				\
	--disable-gss					\

#compiling
%define _smp_mflags -j %(/usr/bin/getconf _NPROCESSORS_ONLN)

%{__make} -s %{?_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make} DESTDIR="%{buildroot}" install 

%{__mkdir_p} %{buildroot}%{_var}/lib/nfs/v4recovery

%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__cp} -a 						\
	%{name}-ok_addon/{netfs,nfs-client,nfs-server} 	\
	%{buildroot}%{_sysconfdir}/rc.d/init.d

%{__mkdir_p} %{buildroot}%{_sysconfdir}/sysconfig
%{__cp} -a 						\
	%{name}-ok_addon/nfs-server.sysconfig		\
	%{buildroot}%{_sysconfdir}/sysconfig/nfs-server


#-----------------------------------------------------------------------------
%changelog
